Package org.gradle.nativeplatform.toolchain.plugins

## Class GccCompilerPlugin

- java.lang.Object
- - org.gradle.nativeplatform.toolchain.plugins.GccCompilerPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      @Incubating
      @NonNullApi
      public class GccCompilerPlugin
      extends java.lang.Object
      implements Plugin<Project>

  A `Plugin` which makes the GNU GCC/G++ compiler available for compiling C/C++ code.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GccCompilerPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GccCompilerPlugin

          public GccCompilerPlugin()

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object